import "vue";
import { p as a, o as d, h as n, j as o, i as h } from "./index-16cc6938.mjs";
const w = {
  key: "_drawer",
  name: "Drawer",
  description: "Drawer",
  icon: "mdiPauseBoxOutline",
  sequence: 32,
  transform: function(t, i, c) {
    if (c.mode.value == "edit") {
      const e = a("el-card", t, i), r = d(t, "footer");
      r.style = { "text-align": "right" }, e["#footer"] = r, e.header = (e.title || "No title") + " [Please note: This drawer is NOT WYSIWYG]";
      const s = {
        position: "absolute",
        overflow: "auto",
        "z-index": 999
      }, l = t.direction || "rtl";
      return l == "rtl" ? e.style = {
        right: 0,
        top: 0,
        height: "100%",
        width: t.size || "30%",
        ...s
      } : l == "ltr" ? e.style = {
        left: 0,
        top: 0,
        height: "100%",
        width: t.size || "30%",
        ...s
      } : l == "ttb" ? e.style = {
        left: 0,
        top: 0,
        width: "100%",
        height: t.size || "30%",
        ...s
      } : l == "btt" && (e.style = {
        left: 0,
        bottom: 0,
        width: "100%",
        height: t.size || "30%",
        ...s
      }), e;
    } else {
      const e = a("el-drawer", t, i);
      return e["#footer"] = d(t, "footer"), e;
    }
  },
  editor: {
    basic: {
      ui: [
        n("title"),
        n("size"),
        o("modal", "Show shadowing layer/Modal"),
        o("close-on-click-modal", "Close on click modal"),
        o("close-on-press-escape", "Close on press escape"),
        o("show-close", "Show close"),
        o("append-to-body", "Append to body"),
        o("destroy-on-close", "Destroy on close"),
        o("with-header", "Show header"),
        h("direction", ["rtl", "ltr", "ttb", "btt"])
      ],
      init: {
        title: "Drawer default title",
        size: "30%",
        modal: !1,
        "close-on-click-modal": !1,
        "close-on-press-escape": !1,
        "show-close": !0,
        "append-to-body": !1,
        "destroy-on-close": !1,
        "with-header": !0,
        direction: "rtl"
      }
    },
    data: {
      type: "Boolean",
      init: {
        mode: "fixed",
        dataContent: "true"
      }
    },
    display: {}
  }
};
export {
  w as default
};
